package com.sikey.wa04.common.interceptor;


import com.sikey.wa04.common.utils.AccessTokenUtil;

public class CurrentRequestUser {
    private static final ThreadLocal<AccessTokenUtil.AccessTokenBuilder> current = new ThreadLocal<>();

    public static void set(AccessTokenUtil.AccessTokenBuilder builder) {
        current.set(builder);
    }

    public static AccessTokenUtil.AccessTokenBuilder get() {
        return current.get();
    }

}
